petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetTimeError

Returns the estimated error vector, if the chosen TSType has an error estimation functionality.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetTimeError(TS ts,PetscInt n,Vec *v)

Not Collective, but Vec returned is parallel if TS is parallel

Note: MUST call after TSSetUp()

### Parameters

ts -the TS context obtained from TSCreate() (input parameter).
n -current estimate (n=0) or previous one (n=-1)
v -the vector containing the error (same size as the solution).

### See Also

TSGetSolution(), TSSetTimeError()

### Keywords

TS, timestep, get, error

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex31.c.html

### Implementations

TSGetTimeError_GLEE in src/ts/impls/glee/glee.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages